<form>
    <input type="hidden" [formControl]="controlAutocomplete">
    <mat-form-field floatLabel="never" class="input-form" *ngIf="!controlAutocomplete.disabled">
        <mat-icon color="primary" class="fa fa-search" matPrefix style="padding-left: 20px;font-size: 15px;"></mat-icon>
        <input type="text" #autoCompleteInput [placeholder]="lang.searchFolder" matInput [formControl]="myControl"
            [matAutocomplete]="auto" (click)="$event.stopPropagation()" (focus)="resetAutocomplete()">
        <button [disabled]="!canAdd" type="button" matSuffix mat-icon-button (click)="addItem()">
            <mat-icon class="fa fa-folder-plus" [title]="lang.add" [style.visibility]="canAdd && myControl.value !== null && myControl.value.length > 0 ? 'visible' : 'hidden'"></mat-icon>
        </button>
        <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selectOpt($event)">
            <ng-container *ngIf="options.length > 0 && !loading">
                <mat-option *ngFor="let option of filteredOptions | async | sortBy: key" [value]="option" [title]="option[key]">
                    <span color="primary">{{option[key]}}</span>&nbsp;<small>{{option[subInfoKey]}}</small>
                </mat-option>
            </ng-container>
            <mat-option class="autoCompleteInfoResult smallInputInfo" *ngIf="options.length === 0 && !loading" disabled
                [innerHTML]="listInfo">
            </mat-option>
            <mat-option *ngIf="loading" disabled>
                <mat-spinner diameter="20"></mat-spinner>
            </mat-option>
        </mat-autocomplete>
    </mat-form-field>
    <div class="itemList">
        <mat-chip-list *ngIf="controlAutocomplete.value.length > 0" class="mat-chip-list-stacked itemChip" color="default">
            <mat-chip *ngFor="let item of controlAutocomplete.value;let i=index"
                color="default" [removable]="!controlAutocomplete.disabled" (removed)="removeItem(i)" class="listAutocomplete">
                <span style="display: flex;flex: 1;align-items: center;" [title]="this.valuesToDisplay[item]">
                    <i class="fa fa-folder-open" style="padding-right:5px;"></i>&nbsp;{{this.valuesToDisplay[item]}}
                </span>
                <mat-icon matChipRemove class="fa fa-times" *ngIf="!controlAutocomplete.disabled"></mat-icon>
            </mat-chip>
        </mat-chip-list>
        <div class="noResult" *ngIf="controlAutocomplete.value.length === 0">
            {{lang.noSelectedFolder}}
        </div>
    </div>
</form>
